# Mixtape

A chat/command wRapper <sup>get it?</sup>

An example of this might be setting up an alias for `/wb` that simply makes the player say `Welcome back!`

See [examples](#examples) for more.

> All aliases are processed **before** registered commands.  
This means if you make an alias for an existing command, that command will no longer work directly.  
To get around that, you can still use the registered command via its namespace.  
e.g. `/essentials:ban`

[Example config](src/main/resources/config.yml)

## Commands

|Command|Description|
|:---|:---|
|`/alias <alias> <message>`|Create a chat alias.|
|`//alias <alias> <command>`|Create a command alias.|
|`/mixtape list [<player>]`|List aliases. If a player has the `mixtape.list.other` permission, they can view other player's aliases as well.|
|`/mixtape delete <alias>`|Delete an alias.|
|`/mixtape reload`|Reload Mixtape.|

## Permissions

|Permission|Description|
|:---|:---|
|`mixtape.admin`|Allows use of Mixtape admin commands, namely `/mixtape reload`.|
|`mixtape.list`|Allows a player to list their aliases.|
|`mixtape.list.other`|Allows a player to list other player's aliases.|
|`mixtape.list.*`|Wildcard permission for the two above nodes.|
|`mixtape.limit.x`|Give a player a specific limit (`x`) for creating aliases. Overrides the global limit.|
|`mixtape.alias.chat`|Allows players to create chat aliases.|
|`mixtape.alias.command`|Allows players to create command aliases.|
|`mixtape.alias.*`|Wildcard permission for the two above nodes.|
|`mixtape.*`|Wildcard permission for all nodes.|

## Examples

### Commands

`//alias wife msg MrsEtzelia`   
`/wife Hey!` -> `/msg MrsEtzelia Hey!`

`//alias xray co rb r:<radius> b:diamond_ore,stone #preview`   
`/xray 50` -> `/co rb r:50 b:diamond_ore,stone #preview`

### Chat

`/alias wb Welcome back!`   
`/wb` -> `Welcome back!`

`/alias wb Welcome back, <player>!`   
`/wb Etzelia` -> `Welcome back, Etzelia!`

`/alias lookup /co l r:<radius> a:container`  
Player asks "How do I check for theft?"  
`/lookup 10` -> `./co l r:10 a:container`

## License

[MIT](LICENSE)